
Redmine - Defect #3498

500 internal error when listing issues from a particular tracker within a project

2009-06-15 12:48 - Davide Ferrari

Status: Closed Start date: 2009-06-15

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Using r2791

All other trackers in the same project, work.

The same tracker (the default "bug" FYI) in othe rprojects, can list all opened issues without a problem.

But in one project it fails with the following output in production.log

ActionView::TemplateError (undefined method `position' for nil:NilClass) on line #25 of app/views/

issues/_list.rhtml:

22:             </td>                                                                             

                   

23:             </tr>                                                                             

                   

24:   <% end %>                                                                                   

                   

25:     <tr id="issue-<%= issue.id %>" class="hascontextmenu <%= cycle('odd', 'even') %> <%= issue

.css_classes %>">  

26:         <td class="checkbox"><%= check_box_tag("ids[]", issue.id, false, :id => nil) %></td>  

                   

27:             <td><%= link_to issue.id, :controller => 'issues', :action => 'show', :id => issue

 %></td>           

28:         <% query.columns.each do |column| %><%= content_tag 'td', column_content(column, issue

), :class => column.name %><% end %>

    app/models/issue.rb:274:in `css_classes'

    app/views/issues/_list.rhtml:25         

    app/views/issues/_list.rhtml:14:in `each'

    app/views/issues/_list.rhtml:14          

    /var/lib/gems/1.8/gems/actionpack-2.2.2/lib/action_view/helpers/capture_helper.rb:36:in `call'

    /var/lib/gems/1.8/gems/actionpack-2.2.2/lib/action_view/helpers/capture_helper.rb:36:in `captu

re'

    /var/lib/gems/1.8/gems/actionpack-2.2.2/lib/action_view/helpers/capture_helper.rb:129:in `with

_output_buffer'

    /var/lib/gems/1.8/gems/actionpack-2.2.2/lib/action_view/helpers/capture_helper.rb:36:in `captu

re'            

    /var/lib/gems/1.8/gems/actionpack-2.2.2/lib/action_view/helpers/form_tag_helper.rb:460:in `for

m_tag_in_block'

    /var/lib/gems/1.8/gems/actionpack-2.2.2/lib/action_view/helpers/form_tag_helper.rb:39:in `form

_tag'         

History

#1 - 2009-06-15 19:20 - Jean-Philippe Lang

One of your issue is associated to a status or a priority that no longer exists.

That's why you get this error.

Did you manually remove one of them from your database?

#2 - 2009-06-16 09:49 - Davide Ferrari

Jean-Philippe Lang wrote:
https://www.redmine.org/projects/redmine/repository/svn/revisions/2791


One of your issue is associated to a status or a priority that no longer exists.

That's why you get this error.

 Yeah, that was I suspected too

Did you manually remove one of them from your database?

 No, absolutely. I didn't touch anything manually, just gone through updates (from 0.8.4 to trunk, the updated to another revision, then boom!). What

can I do to solve the problem?

#3 - 2009-06-17 10:23 - Davide Ferrari

- Status changed from New to Resolved

Indeed it was a priority that doesn't exist anymore. We manually updated the priority for the bug causing the error and now it works. I wonder how this

could have happened anyway, because I can assure we didn't touch the DB manually, so if we deleted a priority (and it could be) we did it through

Redmine interface

#4 - 2011-03-14 20:29 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Invalid

#5 - 2011-10-25 13:05 - Manuel Dunn

SPAM
